Create Demo Storefront
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/demo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"profileId": "sample-publisher-display",
"profileVersion": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/demo"
payload = {
"profileId": "sample-publisher-display",
"profileVersion": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({profileId: 'sample-publisher-display', profileVersion: '<string>'})
};
fetch('https://api.interchange.io/api/v2/storefront/demo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"demo": {
"mode": "DEMO",
"storefrontId": "<string>",
"customerId": 0,
"profileId": "sample-publisher-display",
"profileVersion": "<string>",
"profileDisplayName": "<string>",
"fixturePackId": "<string>",
"fixturePackVersion": "<string>",
"generation": 4503599627370496,
"expiresAt": "2023-11-07T05:31:56Z",
"lastResetAt": "2023-11-07T05:31:56Z",
"cleanupAttemptCount": 4503599627370495,
"cleanupError": "<string>",
"disclosure": "<string>",
"sourceId": "<string>",
"sources": [
{
"recipeVersion": "<string>",
"sourceId": "<string>",
"displayName": "<string>",
"synthetic": true
}
],
"synthetic": true
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Create Demo Storefront
Create a seven-day Demo Storefront from a versioned synthetic profile. This creates no external side effects and never accepts terms on behalf of a user.
POST
/
demo
Create Demo Storefront
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/demo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"profileId": "sample-publisher-display",
"profileVersion": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/demo"
payload = {
"profileId": "sample-publisher-display",
"profileVersion": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({profileId: 'sample-publisher-display', profileVersion: '<string>'})
};
fetch('https://api.interchange.io/api/v2/storefront/demo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"demo": {
"mode": "DEMO",
"storefrontId": "<string>",
"customerId": 0,
"profileId": "sample-publisher-display",
"profileVersion": "<string>",
"profileDisplayName": "<string>",
"fixturePackId": "<string>",
"fixturePackVersion": "<string>",
"generation": 4503599627370496,
"expiresAt": "2023-11-07T05:31:56Z",
"lastResetAt": "2023-11-07T05:31:56Z",
"cleanupAttemptCount": 4503599627370495,
"cleanupError": "<string>",
"disclosure": "<string>",
"sourceId": "<string>",
"sources": [
{
"recipeVersion": "<string>",
"sourceId": "<string>",
"displayName": "<string>",
"synthetic": true
}
],
"synthetic": true
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Body
application/json
Response
Create Demo Storefront
Show child attributes
Show child attributes
⌘I